# CUPTI::PcSamplingUtil::CUptiUtil_GetHeaderDataParams Struct Reference
[CUPTI PC Sampling Utility API]

Params for CuptiUtilGetHeaderData.

## Data Fields
std::ifstream * | fileHandler
Header | headerInfo
size_t | size

## Field Documentation

std::ifstream* CUPTI::PcSamplingUtil::CUptiUtil_GetHeaderDataParams::fileHandler

File handle.

Header CUPTI::PcSamplingUtil::CUptiUtil_GetHeaderDataParams::headerInfo

Header Info.

size_t CUPTI::PcSamplingUtil::CUptiUtil_GetHeaderDataParams::size

Size of the data structure i.e. CUpti_PCSamplingDisableParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.